All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Interface SliderInterface

All Known Implementing Classes:
  ScrollSlider

    public interface SliderInterface

An interface describing methods necessary for user events listened to outside of a slider visual component to modify the value of the slider. These methods allow a model to determine if someone pressed the mouse in the increment or the decrement portion of a slider track and to change the position of the slider thumb if a mouse drag event occurs.

Method Summary
`java.awt.Rectangle` | `getDecrementBounds()` Get the bounds of the decrement portion of the slider track.
`java.awt.Rectangle` | `getIncrementBounds()` Get the bounds of the increment portion of the slider track.
`java.awt.Point` | `getThumbPosition()` Get the top, left point of the slider thumb.
`void` | `setThumbPosition(java.awt.Point pt)` Set the top, left point of the slider thumb.

Method Detail

### getIncrementBounds

    java.awt.Rectangle getIncrementBounds()

  Get the bounds of the increment portion of the slider track.

  Returns:
    the bounds of the increment portion of the slider track.

### getDecrementBounds

    java.awt.Rectangle getDecrementBounds()

  Get the bounds of the decrement portion of the slider track.

  Returns:
    the bounds of the decrement portion of the slider track.

### getThumbPosition

    java.awt.Point getThumbPosition()

  Get the top, left point of the slider thumb. This can be used to determine if a mouse drag event occured.

  Returns:
    the top, left point of the slider thumb

### setThumbPosition

    void setThumbPosition(java.awt.Point pt)

  Set the top, left point of the slider thumb. This can be used to change the position of the slider thumb when a mouse drag event occurs.

  Parameters:
    `pt` - the top, left point of the slider thumb

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.